#1075 Internal serer error on deleting account

1.3
closed-works-for-me
Chris Travers
3
2014-02-26
2014-02-15
SamTech
No

Try to delete account from chart of accounts results in "500 Internal Server Error".
Here are details from apache server error log:

[Fri Feb 14 14:07:43 2014] [error] [client ::1] DBD::Pg::st execute failed: ERROR: permission denied for relation tax at LedgerSMB/AM.pm line 202., referer: http://localhost/ledgersmb/am.pl?login=samtech&action=list_account&module=am.pl&
[Fri Feb 14 14:07:43 2014] [error] [client ::1] DBD::Pg::st execute failed: ERROR: current transaction is aborted, commands ignored until end of transaction block at LedgerSMB.pm line 833., referer: http://localhost/ledgersmb/am.pl?login=samtech&action=list_account&module=am.pl&
[Fri Feb 14 14:07:43 2014] [error] [client ::1] 2014/02/14 14:07:43 - ERROR - LedgerSMB::dberror LedgerSMB.pm (1099) -- Logging SQL State 25P02, error 7, string ERROR: current transaction is aborted, commands ignored until end of transaction block, referer: http://localhost/ledgersmb/am.pl?login=samtech&action=list_account&module=am.pl&
[Fri Feb 14 14:07:43 2014] [error] [client ::1] Can't use string ("LedgerSMB::Setting") as a HASH ref while "strict refs" in use at LedgerSMB.pm line 941., referer: http://localhost/ledgersmb/am.pl?login=samtech&action=list_account&module=am.pl&
[Fri Feb 14 14:07:43 2014] [error] [client ::1] Compilation failed in require at /home/samtech/myapps/ledgersmb/am.pl line 7., referer: http://localhost/ledgersmb/am.pl?login=samtech&action=list_account&module=am.pl&
[Fri Feb 14 14:07:43 2014] [error] [client ::1] Premature end of script headers: am.pl, referer: http://localhost/ledgersmb/am.pl?login=samtech&action=list_account&module=am.pl&

Discussion

1 2 > >> (Page 1 of 2)
  • Chris Travers
    Chris Travers
    2014-02-15

    • status: open --> closed-duplicate
    • assigned_to: Chris Travers
     
  • Chris Travers
    Chris Travers
    2014-02-15

    Ok, so the permissions on the tax table have been fixed for 1.3.38 but that's not out yet (stay tuned for the rc1 which should be out very soon). To manually fix it you can overwrite your sql/modules/Roles.sql with the one attached and run the setup.pl on your database again.

    There are some other errors there that make me wonder if there are other things going on with your installation though. Which version is installed? Are there any modifications?

     
  • Chris Travers
    Chris Travers
    2014-02-15

    • status: closed-duplicate --> pending-later
     
  • Chris Travers
    Chris Travers
    2014-02-15

    (attached file)

     
    Attachments
  • Chris Travers
    Chris Travers
    2014-02-17

    BTW, I just pushed out 1.3.38-rc1. If no new regressions are found this will be 1.3.38.

    One workflow change that was made is that the transaction and outstanding. reports now default to detail instead of summary. However reviewing the code, this issue appears to have been fixed at some point in the 1.3.38 development. Please try it and let me know how it goes. You can get it at

    https://sourceforge.net/projects/ledger-smb/files/Beta%20Releases/1.3.38-rc1/

     
  • Chris Travers
    Chris Travers
    2014-02-18

    (when 1.3.38 is released if I don't hear anything else I will close this as duplicate)

     
  • Chris Travers
    Chris Travers
    2014-02-19

    That's really weird. Could you attach the contents of your sql/modules/Account.sql here? If you just reload this file in psql it commits properly?

     
  • Chris Travers
    Chris Travers
    2014-02-19

    The sql/modules/Account.sql file contains the SQL routines for deleting accounts. The code I am looking at suggests that this should not be happening. I want to make sure that this is the case. It does not (unless it was overwritten with something) include any user-identifiable information.

     
1 2 > >> (Page 1 of 2)